Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 153989

Summary: Automatic copy of local selections doens't work with some programs like gvim or mozilla
Product: [Fedora] Fedora Reporter: Adrian <adrian>
Component: vncAssignee: Adam Tkac <atkac>
Status: CLOSED WONTFIX QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 3CC: mattdm, ovasik
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-17 08:34:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Adrian 2005-04-06 14:29:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.7.6) Gecko/20050323 Fedora/1.7.6-1.3.2

Description of problem:
When I make a selection of text from some local programs (for example, from gvim or mozilla), the selection should be sent to the remote host, since I have enabled these vnc options: (by pressing F8 in the vnc window, and then selecting "Options")

* Send clipboard to server.
* Send primary selection & cut buffer as clipboard.

But text is not sent.

With other local programs (for example, from gnome-terminal) the thing works.


Version-Release number of selected component (if applicable):
vnc-4.0-8

How reproducible:
Always

Steps to Reproduce:
1. Open a local gvim (or mozilla) window. Open a vnc window to a remote host.
2. Select some text in the gvim window. 
3. Try to paste (ctrl+v or Edit>Paste) into a remote text field (for example, into  Notepad in Windows).


Actual Results:  The text hasn't been copied.

Expected Results:  The text should have been copied.

Additional info:

The text is copied if it is selected from some other programs, like gnome-terminal.

Using packets updated with yum:

vim-X11-6.3.054-0.fc3.1
mozilla-1.7.6-1.3.2
vnc-4.0-8

Comment 1 Tim Waugh 2005-04-06 15:22:22 UTC
I have seen this problem occasionally but had been unable to pin it down to a
particular set of applications.

The problem I see here is that the copy buffer *is* set on the viewer end once,
but not subsequently.

Comment 2 Adrian 2005-04-07 09:58:51 UTC
Thanks Tim.

I know nothing on how vnc or X11 work, but I can imagine that a good way to
auto-copy from local selections would be (supposing that events are available):

* vnc registers itself as a listener for the x11_clipboard_has_changed (or
similar) event.
* when the event is received, vnc copies the local clipboard to the remote
clipboard.

If events are not available, a solution could be to copy the local clipboard to
the remote clipboard when the vnc window is selected (or activated, or enabled -
don't know the exact word).

I've seen that I can select and paste (with the mouse middle button) from gvim 
to gnome-terminal and from gnome-terminal to gvim, so probably the problem is
not in the programs nor in the local clipboard. Seems to be something in the way
vnc manages the thing.


Comment 3 Matthew Miller 2006-07-10 21:16:01 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 Adam Tkac 2006-10-11 15:44:54 UTC
Please try to reproduce this bug with latest vnc in FC5

Comment 5 Adam Tkac 2006-10-17 08:34:56 UTC
closing, fc3 isn't supported now